@import url("https://fonts.googleapis.com/css2?family=Hanken+Grotesk&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Anton&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Oswald&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Bebas+Neue&display=swap");
@import url("https://fonts.cdnfonts.com/css/helvetica-neue-5");
@import url('https://fonts.googleapis.com/css2?family=Alegreya+Sans&display=swap');

html {
  scroll-behavior: smooth;
  scroll-padding-top: 80px;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  overflow-x: hidden;
}

span {
  all: unset;
}

h2 {
  padding: 0;
  margin: 0;
}

body {
  background-color: #121212;
}

h1,
h2,
h4 {
  font-family: "Bebas Neue", sans-serif;
}

p {
  font-family: "Hanken Grotesk", sans-serif;
}

.hidden-left {
  opacity: 0;
  filter: blur(5px);
  transform: translateX(-100%);
  transition: all 1s;
}

.hidden-right {
  opacity: 0;
  filter: blur(5px);
  transform: translateX(+100%);
  transition: all 1s;
}

.show {
  opacity: 1;
  filter: blur(0);
  transform: translateX(0);
}

/* nav */

nav li,
nav a,
button {
  font-family: "Alegreya Sans", sans-serif;
  font-weight: 400;
  font-size: 17px;
  color: #121212;
  text-decoration: none;
}

nav {
  background-color: #f4f4f4;
  position: sticky;
  top: 0;
  left: 0;
  z-index: 250;
  width: 100%;
  margin: auto;
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  height: 80px;
}

.hm {
  text-align: center;
  text-transform: uppercase;
  font-family: "Anton", sans-serif;
  font-weight: 400;
  color: #cc2c47;
  font-size: 30px;
}

.nav-links {
  list-style: none;
  justify-self: center;
}

.nav-links li {
  display: inline-block;
  padding: 0 20px;
}

.nav-links li a {
  transition: all 0.5s ease 0s;
}

.nav-links li a:hover {
  transition: all 0.5s ease 0s;
  color: #cc2c47;
}

.nav-icon-container {
  display: flex;
  justify-content: center;
}

.nav-ig,
.nav-fb {
  margin: 0 20px;
  height: 20px;
}

/* Hamburger */

.nav-button {
  display: none;
  cursor: pointer;
}

.bar {
  display: block;
  width: 25px;
  height: 3px;
  margin: 5px auto;
  -webkit-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
  background-color: #cc2c47;
}

/* Pop up after submit */

#popUpBg {
  z-index: 300;
  position: fixed;
  top: 0;
  width: 100vw;
  height: 100vh;
  background-color: #121212;
  opacity: 0.4;
  display: none;
}

#popUp {
  z-index: 300;
  position: fixed;
  top: 40%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: #f4f4f4;
  border-radius: 10px;
  width: 30%;
  height: fit-content;
  text-align: center;
  display: none;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  padding: 30px;
}

#popUp > * {
  margin: 1em;
}

#popUp p {
  font-family: "Hanken Grotesk", sans-serif;
}

#popUp button {
  width: 25%;
  margin: 20px auto;
  padding: 9px 9px;
  color: #cc2c47;
  border: #cc2c47 2px solid;
  border-radius: 5px;
  cursor: pointer;
  transition: all 0.3s ease 0s;
}

#popUp button:hover {
  background-color: #cc2c47;
  color: #121212;
  transition: all 0.6s ease 0s;
  overflow: visible;
}

/* Portfolio */

.portfolio {
  display: flex;
  width: 100%;
  overflow-x: hidden;
}

.video-container {
  min-height: 100%;
  min-width: 100%;
  transform: scale(1.3);
  overflow: hidden;
  z-index: -100;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  opacity: 0.5;
}

.video-container-gradient {
  background: linear-gradient(180deg, transparent 0%, rgba(0, 0, 0, 1) 99%);
  position: relative;
  top: 0px;
  height: 92vh;
  width: 100vw;
  overflow: hidden;
}

#stop-video {
  position: fixed;
  display: none;
  top: 16.5%;
  left: 78%;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  background-image: url(Icons/close.png);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  cursor: pointer;
  z-index: 300;
  transition: all 500ms;
}

#stop-video:hover {
  /* background-color: #cc2c47; */
  transition: all 500ms;
  opacity: 0.5;
}

#video-bg {
  position: fixed;
  display: none;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: #121212;
  opacity: 0.8;
  z-index: 200;
  overflow: hidden;
}

#video {
  position: fixed;
  display: none;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 1200px;
  max-width: 100%;
  z-index: 300;
  overflow: hidden;
}

.portfolio-text {
  position: absolute;
  top: 57%;
  left: 15%;
  display: flex;
  flex-direction: column;
  align-items: stretch;
  height: fit-content;
  width: 700px;
  overflow: hidden;
}

.portfolio-text p {
  max-width: 650px;
  font-size: 45px;
  color: #f4f4f4;
  letter-spacing: 0.5px;
  font-weight: 600;
  line-height: 55px;
  margin-bottom: 40px;
  overflow: hidden;
  font-family: "Helvetica Neue", sans-serif;
  /* text-shadow: 1px 1px 1px black; */
}

.play-btn {
  z-index: 200;
  font-size: 25px;
  background: transparent;
  border-radius: 50px;
  padding: 10px 30px;
  border-color: #cc2c47;
  color: #f4f4f4;
  cursor: pointer;
  transition: all 800ms;
  width: fit-content;
}

.play-btn:hover {
  transition: all 500ms;
  background-color: #cc2c47;
}

/* Pakalpojumi */

.pakalpojumi {
  background-color: #f4f4f4;
  overflow-x: hidden;
}

.par-mums-h1,
.pakalpojumi-h1 {
  color: #121212;
  width: 500px;
  border-bottom: #cc2c47 3px solid;
  padding: 50px;
  text-align: center;
  margin: auto;
  font-weight: 400;
  font-size: 50px;
}

.pakalpojumi-container {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

.soc-tikli-div,
.satura-veidosana-div {
  text-align: center;
  width: 500px;
  padding: 30px;
  margin: 100px 5rem;
  /* background-color: #212224; */
  color: #121212;
}

.soc-tikli-text-div,
.satura-veidosana-text-div {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 0 1.8em;
}

.satura-veidosana-div h2,
.soc-tikli-div h2 {
  font-weight: 700;
  margin-top: 20px;
  color: #cc2c47;
  font-size: 25px;
  font-family: "Hanken Grotesk", sans-serif;
}

.satura-veidosana-div p,
.soc-tikli-div p {
  font-weight: 400;
  margin-top: 10px;
  font-size: 18px;
}

.camera,
.soc-tikli {
  width: 64px;
}

/* Partneri */

.partneri-h1,
.klienti-h1 {
  color: #f4f4f4;
  width: 500px;
  border-bottom: #cc2c47 3px solid;
  padding: 50px;
  text-align: center;
  margin: auto;
  font-weight: 400;
  font-size: 50px;
}

.partneri-logo {
  display: grid;
  grid-template-columns: 200px, 100px, 100px, 200px, 100px, 150px, 200px;
  grid-template-rows: 1fr 1fr;
  gap: 50px;
  align-items: center;
  justify-content: space-evenly;
  margin: auto;
  width: 100%;
  margin: 50px auto;
  overflow-x: hidden;
}

#partneri-logo-1,
#partneri-logo-2,
#partneri-logo-3,
#partneri-logo-4,
#partneri-logo-5,
#partneri-logo-6,
#partneri-logo-7 {
  height: 100px;
  width: 100px;
}

#partneri-logo-1 {
  background-image: url(Klienti/synottip_white.png);
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  grid-column: 4;
  grid-row: 1;
  height: 200px;
  width: 200px;
}

#partneri-logo-2 {
  background-image: url(Klienti/MG_white.png);
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  grid-column: 1;
  grid-row: 2;
  height: 200px;
  width: 200px;
}

#partneri-logo-6 {
  background-image: url(Klienti/TV3.png);
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  grid-column: 2;
  grid-row: 1;
  height: 100px;
  width: 100px;
}

#partneri-logo-3 {
  background-image: url(Klienti/JDFS_white.png);
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  grid-column: 6;
  grid-row: 1;
  width: 150px;
  height: 150px;
}

#partneri-logo-4 {
  background-image: url(Klienti/Joker_white.png);
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  grid-column: 3;
  grid-row: 2;
}

#partneri-logo-5 {
  background-image: url(Klienti/Sky_white.png);
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  grid-column: 5;
  grid-row: 2;
}

#partneri-logo-7 {
  background-image: url(Klienti/BSA.png);
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  grid-column: 7;
  grid-row: 2;
  width: 200px;
  height: 200px;
}

.partneri-logo img {
  margin-top: 2rem;
  padding: 0 7rem;
}

.partneri {
  padding: 0;
  margin: auto;
  width: 100%;
  background-color: #121212;
}

/* Par mums */

.par-mums {
  background-color: #f4f4f4;
  overflow-x: hidden;
}

.komanda {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: row;
  width: 70%;
  margin: auto;
  text-align: center;
  font-size: 15px;
}

.komanda div {
  margin: 100px auto;
  width: 450px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.komanda h1,
.komanda h2 {
  font-family: "Hanken Grotesk", sans-serif;
}

.komanda p {
  font-weight: 400;
  margin-top: 15px;
  font-size: 18px;
}

.komandas-bildes {
  border-radius: 100%;
  height: 220px;
  margin: 0 60px;
  box-shadow: 0.5px 0.5px 5px #121212;
}

.vardi {
  margin-top: 15px;
  font-size: 19px;
  text-align: center;
  font-weight: 700;
  color: #cc2c47;
}

.darbs {
  font-size: 16px;
  margin-top: 5px;
  text-align: center;
  color: #121212;
}

/* Contact us */

.contact-us {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: row;
  width: 100%;
  margin: auto;
  margin-top: 0;
  padding: 100px;
  height: 500px;
  font-family: "Roboto", sans-serif;
  background-color: #121212;
}

.contact-us-left-div {
  height: 350px;
}

.contact-us-left-div h1 {
  color: #f4f4f4;
  font-size: 45px;
  padding: 0;
  margin: 0;
  padding-bottom: 10px;
  font-family: "oswald", sans-serif;
}

.adrtel {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  width: 500px;
}

.adrese,
.telefons,
.epasts {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  width: 230px;
  margin: 10px;
}

.telefons a {
  color: #f4f4f4;
  text-decoration: none;
}

.adrese,
.epasts {
  margin-left: 0;
}

.adrese img,
.telefons img,
.epasts img,
.fb,
.ig {
  height: 30px;
}

.adrese h3,
.telefons h3,
.epasts h3 {
  color: #f4f4f4;
  padding: 20px 10px;
}

.adrese a,
.telefons p,
.epasts p {
  color: #f4f4f4;
  text-decoration: none;
  transition: 500ms;
}

.adrese a:hover,
.telefons a:hover {
  transition: all 500ms;
  color: #cc2c47;
}

.adrese a:visited:hover,
.telefons a:visited:hover {
  transition: all 500ms;
  color: #cc2c47;
}

.adrese a:visited,
.telefons a:visited {
  color: #f4f4f4;
  text-decoration: none;
}

.icon-container {
  display: flex;
  justify-content: right;
  align-items: center;
}

.ig,
.fb {
  margin: 0 10px;
  transition: color 0.3s ease-in-out;
}

.fb:hover,
.ig:hover {
  cursor: pointer;
}

form {
  display: flex;
  flex-direction: column;
  width: fit-content;
  margin-top: 30px;
}

.contact-us-inputs input,
.contact-us-inputs textarea {
  height: 35px;
  width: 400px;
  border-radius: 4px;
  background-color: #3f4044;
  border: none;
  color: #f4f4f4;
  outline: none;
  font-family: "Roboto", sans-serif;
}

.contact-us-inputs label {
  color: #f4f4f4;
  font-family: "Roboto", sans-serif;
  padding: 10px 0;
  font-weight: 700;
}

.lab {
  padding-top: 20px;
}

.contact-us-inputs input:focus,
.contact-us-inputs textarea:focus {
  transition: all 300ms;
  outline: 2px solid #cc2c47;
}

#message {
  height: 70px;
}

#send {
  width: 25%;
  margin: 20px auto;
  padding: 9px 9px;
  background-color: #121212;
  color: #f4f4f4;
  border: #cc2c47 2px solid;
  border-radius: 5px;
  cursor: pointer;
  transition: all 0.3s ease 0s;
}

#send:hover {
  background-color: #cc2c47;
  transition: all 0.3s ease 0s;
  overflow: visible;
  box-shadow: 0 0 15px #cc2c47;
}

/* On phone */

@media screen and (max-width: 1400px) {
  #stop-video {
    left: 88%;
  }

  .soc-tikli-div,
  .satura-veidosana-div {
    margin-left: 0;
    margin-right: 0;
    padding: 0;
  }

  .partneri-logo {
    column-gap: 10px;
  }

  #partneri-logo-1,
  #partneri-logo-3,
  #partneri-logo-5,
  #partneri-logo-6,
  #partneri-logo-7 {
    width: 100px;
    height: 150px;
  }

  #partneri-logo-2,
  #partneri-logo-7,
  #partneri-logo-1 {
    height: 150px;
    width: 150px;
  }

  #partneri-logo-5 {
    margin-bottom: 15px;
  }

  .komanda {
    width: 95%;
  }
  .komanda div {
    width: 350px;
  }
  .contact-us {
    flex-wrap: wrap;
    height: max-content;
    align-items: center;
    justify-content: center;
  }
  .contact-us-left-div {
    justify-content: center;
    width: 400px;
  }
  .adrese,
  .telefons,
  .epasts {
    width: 500px;
    margin: 0;
  }
  .ig,
  .fb {
    margin: 0;
    margin-top: 15px;
  }
  .ig {
    margin-right: 15px;
  }
  form {
    margin-top: 30px;
  }
}

@media (max-width: 900px) {
  nav {
    justify-content: space-between;
    padding: 0 30px;
    position: sticky;
  }

  #stop-video {
    top: 30%;
  }

  .portfolio-text-h2 h2 {
    font-size: 26px;
  }

  .portfolio-text {
    top: 60%;
    max-width: 85%;
  }

  .portfolio-text p {
    font-size: 27px;
    margin-bottom: 20px;
    line-height: 40px;
  }

  .play-btn {
    font-size: 17px;
  }

  .nav-fb,
  .nav-ig {
    display: none;
  }
  .nav-button {
    display: block;
  }
  .nav-button.active .bar:nth-child(2) {
    opacity: 0;
  }
  .nav-button.active .bar:nth-child(1) {
    transform: translateY(8px) rotate(45deg);
  }
  .nav-button.active .bar:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
  }
  .nav-links {
    display: flex;
    position: fixed;
    left: 200%;
    top: 70px;
    gap: 0;
    flex-direction: column;
    width: 100vw;
    text-align: center;
    transition: 0.3s;
    background-color: #f4f4f4;
  }
  .nav-links li {
    margin: 16px auto;
    font-size: 30px;
  }
  .nav-links.active {
    left: 0;
  }
  .pakalpojumi-container {
    flex-direction: column;
    align-items: center;
  }
  .satura-veidosana-div {
    margin-top: 70px;
  }
  .soc-tikli-div {
    margin-top: 30px;
  }
  .satura-veidosana-div,
  .soc-tikli-div {
    height: 180px;
    align-items: center;
  }

  .partneri-logo {
    grid-template-columns: repeat(5, 150px);
    grid-template-rows: repeat(4, 100px);
    row-gap: 50px;
    column-gap: 0px;
    width: 100%;
    padding: 0;
    height: 580px;
  }

  #partneri-logo-1 {
    grid-row: 1;
    grid-column: 2;
  }

  #partneri-logo-2 {
    grid-row: 1;
    grid-column: 4;
  }

  #partneri-logo-3 {
    grid-row: 2;
    grid-column: 2;
  }

  #partneri-logo-4 {
    grid-row: 2;
    grid-column: 4;
  }

  #partneri-logo-5 {
    grid-row: 3;
    grid-column: 2;
  }

  #partneri-logo-6 {
    grid-row: 3;
    grid-column: 4;
  }

  #partneri-logo-7 {
    grid-row: 4;
    grid-column: 3;
  }

  .komanda {
    flex-direction: column;
    margin-top: 0;
  }
  .komanda div {
    height: 300px;
  }
}

@media (max-width: 450px) and (orientation: portrait) {
  .portfolio-text {
    width: 90%;
    top: 65%;
    left: 7%;
  }

  #stop-video {
    height: 30px;
    width: 30px;
    top: 38%;
    left: 90%;
  }

  .portfolio-text-h2 h2 {
    font-size: 20px;
    width: 95vw;
    top: 60%;
  }

  .portfolio-text p {
    font-size: 20px;
    line-height: 30px;
  }

  .pakalpojumi-h1,
  .partneri-h1,
  .par-mums-h1 {
    width: 300px;
    margin: auto;
    padding: 50px;
    font-size: 40px;
  }
  .soc-tikli-div,
  .satura-veidosana-div {
    width: 90vw;
    height: min-content;
    margin: 30px auto;
  }
  .soc-tikli-div {
    margin-bottom: 50px;
  }

  .partneri-logo {
    display: block;
    height: 150px;
    width: 150px;
    overflow-y: scroll;
    justify-content: center;
    scroll-snap-type: y mandatory;
  }

  .partneri-logo a {
    display: flex;
    align-items: center;
    justify-content: center;
    background-position: auto;
    margin: 0px auto;
    scroll-snap-align: start;
  }

  .partneri-logo a:nth-child(7) {
    margin-top: 10px;
  }

  .komanda div {
    width: 95vw;
  }
  .contact-us {
    height: fit-content;
    padding: 60px;
  }
  .contact-us-left-div {
    text-align: center;
    height: fit-content;
  }
  .adrtel {
    text-align: center;
    padding: auto;
    margin: 10px auto;
    width: 90vw;
  }
  form {
    width: 90vw;
  }
  .contact-us-inputs input,
  .contact-us-inputs textarea {
    width: 90vw;
  }
  body {
    overflow-x: hidden;
  }
}

@media (max-width: 900px) and (orientation: landscape) {
  .video-container {
    background-attachment: scroll;
    background-size: auto;
    background-position: 60% 80%;
  }

  .video-container-gradient {
    background: linear-gradient(180deg, transparent 0%, rgba(0, 0, 0, 1) 70%);
  }

  .portfolio-text-h2 h2 {
    top: 55%;
  }

  .nav-links li {
    height: 8vh;
  }
}
